Bug 665761 - [abrt] gvfs-1.6.6-1.fc14: gkr_operation_block_and_unref: Process /usr/libexec/gvfsd-ftp was killed by signal 6 (SIGABRT)
Summary: [abrt] gvfs-1.6.6-1.fc14: gkr_operation_block_and_unref: Process /usr/libexec...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-keyring
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f07c921ab0a977d463ee0fef320...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-26 18:10 UTC by Vojtěch Erben
Modified: 2015-03-03 22:57 UTC (History)
9 users (show)

Fixed In Version: libgnome-keyring-2.32.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-23 22:48:55 UTC


Attachments (Terms of Use)
File: backtrace (13.35 KB, text/plain)
2010-12-26 18:10 UTC, Vojtěch Erben
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 644407 None None None Never

Description Vojtěch Erben 2010-12-26 18:10:44 UTC
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: /usr/libexec/gvfsd-ftp --spawner :1.13 /org/gtk/gvfs/exec_spaw/8
component: gvfs
crash_function: gkr_operation_block_and_unref
executable: /usr/libexec/gvfsd-ftp
kernel: 2.6.35.10-72.fc14.x86_64
package: gvfs-1.6.6-1.fc14
rating: 4
reason: Process /usr/libexec/gvfsd-ftp was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1293386744
uid: 1000

How to reproduce
-----
1.I don't know, ABRT report bug
2.
3.

Comment 1 Vojtěch Erben 2010-12-26 18:10:47 UTC
Created attachment 470744 [details]
File: backtrace

Comment 2 Gerhard 2011-01-18 06:13:08 UTC
Package: gvfs-1.6.6-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Tried to open a non-free ftp-connection with gvfs.

Comment 3 Martin Jürgens 2011-02-10 21:17:43 UTC
Package: gvfs-1.6.6-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. mount ftp via places and save bookmark
2. at login, choose to "never forget password"
3. unmount
4. mount via double click


Comment
-----
CRASH

DBus error org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)

Comment 4 Martin Jürgens 2011-02-12 16:04:45 UTC
ftp has worked for years now, this is serious!

Comment 5 Vinzenz Vietzke 2011-02-22 01:24:37 UTC
Package: gvfs-1.6.6-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Having a folder opened via ftp for a while
2. Trying to change directory

Comment 6 Miro Hrončok 2011-02-28 11:35:51 UTC
Package: gvfs-1.6.6-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open Gigolo
2. Try to connet to a FTP server (password is saved on GNOME kayring from previous time)


Comment
-----
It doesn't happen all the time, just sometimes. Next try usually works.

Comment 7 Miro Hrončok 2011-02-28 11:51:35 UTC
If it helps, I can reproduce this in Xubuntu - http://www.linuxexpres.cz/blog/spravny-spravce-souboru-by-mel-pry-i-kafe-varit (end of blog post), it is in Czech, but even if you don't underestand, there is a screenshot.

Comment 8 Fedora Update System 2011-03-11 13:23:41 UTC
libgnome-keyring-2.32.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libgnome-keyring-2.32.0-2.fc14

Comment 9 Fedora Update System 2011-03-23 22:48:40 UTC
libgnome-keyring-2.32.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.